#!/bin/sh
export PATH='/wrkdirs/usr/ports/security/hs-cprng-aes/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cprng-aes
version: 0.6.1
id: cprng-aes-0.6.1-GoHKmgJHNoYDKYnY3rAXXK
key: cprng-aes-0.6.1-GoHKmgJHNoYDKYnY3rAXXK
license: BSD-3-Clause
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
author: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-cprng-aes
synopsis: Crypto Pseudo Random Number Generator using AES in counter mode.
description:
    Simple crypto pseudo-random-number-generator with really good randomness property.
    .
    Using ent, a randomness property maker on one 1Mb sample:
    Entropy = 7.999837 bits per byte.
    Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
    Chi square distribution for 1048576 samples is 237.02
    Arithmetic mean value of data bytes is 127.3422 (127.5 = random)
    Monte Carlo value for Pi is 3.143589568 (error 0.06 percent)
    .
    Compared to urandom with the same sampling:
    Entropy = 7.999831 bits per byte.
    Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
    Chi square distribution for 1048576 samples is 246.63
    Arithmetic mean value of data bytes is 127.6347 (127.5 = random).
    Monte Carlo value for Pi is 3.132465868 (error 0.29 percent).
category: Cryptography
abi: 88119a130dee131f8a59149567717f40
exposed: True
exposed-modules:
    Crypto.Random.AESCtr
hidden-modules: Crypto.Random.AESCtr.Internal
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/cprng-aes-0.6.1
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/cprng-aes-0.6.1
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/cprng-aes-0.6.1
hs-libraries: HScprng-aes-0.6.1-GoHKmgJHNoYDKYnY3rAXXK
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY
    crypto-random-0.0.9-LYZpdAEDW0u5erfVWFpLKv
    cipher-aes-0.2.11-ImMjXdA5b9WDCx7cZ4kpRh
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             bytestring-0.10.8.2=7e6ff0f3c2255fe1b20bd14002d26042
             byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY=eb053667d143ebe27f83da940446a38e
             crypto-random-0.0.9-LYZpdAEDW0u5erfVWFpLKv=7b1d07a0906a79512841238ab14af6cb
             cipher-aes-0.2.11-ImMjXdA5b9WDCx7cZ4kpRh=efdf52f03fd08e324ab21a6c9f123d3e
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/cprng-aes-0.6.1/html/cprng-aes.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/cprng-aes-0.6.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

